.product-filter {
  margin-bottom: 64px;

  @media (min-width: 320px) and (max-width: 540px) {
    margin-bottom: 18px;
  }

  .filter-heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;

    &:not(&[aria-expanded])::before {
      content: '';
      border: 1px solid @g-white400;
      box-sizing: border-box;
      height: 42px;
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      z-index: -1;
    }

    .filter-title {
      font-family: 'Roboto';
      font-style: normal;
      font-weight: 400;
      font-size: 14px;
      line-height: 19px;
      color: @g-gray700;
      display: flex;
      align-items: center;
      justify-content: flex-start;
      padding: 9px 12px;
      cursor: pointer;
      background: transparent;
    }

    .filter-reset {
      font-family: 'Roboto';
      font-style: normal;
      font-weight: 400;
      font-size: 12px;
      line-height: 16px;
      color: @g-gray300;
      text-decoration: none;

      &:hover {
        cursor: pointer;
        color: @g-black;
      }
    }
  }

  .filter-box {
    border-top: 1px solid @g-white300;
    margin-top: 12px;

    .filter-item {
      border-bottom: 1px solid @g-white300;

      .accordion-button:focus,
      .accordion-button:focus-within {
        outline: none;
        box-shadow: none;
      }

      .accordion-button {
        padding: 24px 0;
        border-bottom-width: 0;
        box-shadow: none;
        background-color: transparent;
        color: @g-gray500;
      }

      .accordion-body {
        padding: 6px 0 24px 0;

        ul {
          padding-right: 8px;
          max-height: 244px;
          overflow-y: auto;
          .scrollbar();

          @media (min-width: 320px) and (max-width: 540px) {
            max-height: 105px;
          }
        }
      }

      ul {
        list-style: none;
        padding: 0;
        margin: 0;

        li {
          display: flex;
          align-items: flex-start;
          justify-content: space-between;
          position: relative;

          label {
            font-family: 'Roboto';
            font-style: normal;
            font-weight: 400;
            font-size: 14px;
            line-height: 19px;
            color: @g-gray200;

            &::before {
              content: '';
              position: absolute;
              top: 0;
              left: 0;
              right: 0;
              bottom: 0;
              cursor: pointer;
            }
          }
        }

        li + li {
          margin-top: 24px;
        }
      }
    }
  }

  .filter-touch {
    display: none;

    span {
      font-family: 'Roboto';
      font-style: normal;
      font-weight: 400;
      font-size: 18px;
      line-height: 24px;
      color: @g-black;
      border-top: 2px solid @g-gray200;
      padding: 12px;
    }
  }
}
